KCFORESTTEST(1)

NAME
kcforesttest - command line interface to test the directory tree database

DESCRIPTION

The command `kcforesttest' is a utility for facility test and performance test of the directory tree database. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations.

    kcforesttest order [-th num] [-rnd] [-set|-get|-getw|-rem|-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs in-order tests.
    kcforesttest queue [-th num] [-it num] [-rnd] [-oat|-onl|-onl|-otl|-onr] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs queuing operations.
    kcforesttest wicked [-th num] [-it num] [-oat|-onl|-onl|-otl|-onr] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs mixed operations selected at random.
    kcforesttest tran [-th num] [-it num] [-hard] [-oat|-onl|-onl|-otl|-onr] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -set : performs setting operation only.
    -get : performs getting operation only.
    -getw : performs getting with a buffer operation only.
    -rem : performs removing operation only.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -oat : opens the database with the auto transaction option.
    -oas : opens the database with the auto synchronization option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -tc : tunes the database with the compression option.
    -bnum num : specifies the number of buckets of the hash table.
    -psiz num : specifies the size of each page.
    -pccap num : specifies the capacity size of the page cache.
    -rcd : use the decimal comparator instead of the lexical one.
    -rcld : use the lexical descending comparator instead of the ascending one.
    -rcdd : use the decimal descending comparator instead of the lexical one.
    -lv : reports all errors.
    -it num : specifies the number of repetition.
    -hard : performs physical synchronization.

This command returns 0 on success, another on failure.

SEE ALSO

kcforestmgr(1)